Skip to main content
POST
/
teams
/
{id}
/
env-vars
Create or update team environment variable
curl --request POST \
  --url https://bugzy.ai/api/v1/teams/{id}/env-vars \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "BASE_URL",
  "value": "<string>",
  "is_secret": true,
  "environment": "<string>",
  "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "name": "BASE_URL",
    "has_value": true,
    "is_secret": true,
    "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

Project API key (bzy_proj_) for project routes or team API key (bzy_team_) for selected team routes.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
required

Normalized to UPPERCASE_WITH_UNDERSCORES; must match ^[A-Z_][A-Z0-9_]*$ after normalization.

Example:

"BASE_URL"

value
string
required
is_secret
boolean
default:true
environment
string
environment_id
string<uuid>

Response

Team env var stored

data
object